"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VersionDropdown = void 0;
const evangelist_elements_icon_1 = require("@teambit/evangelist.elements.icon");
const react_router_dom_1 = require("react-router-dom");
const evangelist_surfaces_dropdown_1 = require("@teambit/evangelist.surfaces.dropdown");
const ui_version_label_1 = require("@teambit/ui.version-label");
const ui_styles_ellipsis_1 = require("@teambit/ui.styles.ellipsis");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const version_dropdown_module_scss_1 = __importDefault(require("./version-dropdown.module.scss"));
function VersionDropdown({ versions, currentVersion }) {
    if (versions.length < 2) {
        return (react_1.default.createElement("div", { className: version_dropdown_module_scss_1.default.noVersions },
            react_1.default.createElement(VersionPlaceholder, { currentVersion: currentVersion })));
    }
    return (react_1.default.createElement("div", { className: version_dropdown_module_scss_1.default.versionDropdown },
        react_1.default.createElement(evangelist_surfaces_dropdown_1.Dropdown, { className: version_dropdown_module_scss_1.default.dropdown, dropClass: version_dropdown_module_scss_1.default.menu, placeholder: "", clickOutside: true, PlaceholderComponent: () => (react_1.default.createElement(VersionPlaceholder, { currentVersion: currentVersion, className: version_dropdown_module_scss_1.default.withVersions })) },
            react_1.default.createElement("div", null,
                react_1.default.createElement("div", { className: version_dropdown_module_scss_1.default.title }, "Select version to view"),
                react_1.default.createElement("div", { className: version_dropdown_module_scss_1.default.versionContainer }, versions.map((version, index) => {
                    const isCurrent = version === currentVersion;
                    return (react_1.default.createElement(react_router_dom_1.NavLink, { to: `?version=${version}`, key: index, className: classnames_1.default(version_dropdown_module_scss_1.default.versionLine, isCurrent && version_dropdown_module_scss_1.default.currentVersion) },
                        react_1.default.createElement("span", { className: version_dropdown_module_scss_1.default.version }, version),
                        index === 0 && react_1.default.createElement(ui_version_label_1.VersionLabel, { className: version_dropdown_module_scss_1.default.label, status: "latest" })));
                }))))));
}
exports.VersionDropdown = VersionDropdown;
function VersionPlaceholder({ currentVersion, className }) {
    return (react_1.default.createElement("div", { className: classnames_1.default(version_dropdown_module_scss_1.default.placeholder, className) },
        react_1.default.createElement(ui_styles_ellipsis_1.Ellipsis, null, currentVersion),
        react_1.default.createElement(evangelist_elements_icon_1.Icon, { of: "fat-arrow-down" })));
}
//# sourceMappingURL=version-dropdown.js.map