"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_2 = require("@testing-library/react");
const chai_1 = require("chai");
const version_dropdown_composition_1 = require("./version-dropdown.composition");
it('should render one version', () => {
    const { getByText } = react_2.render(react_1.default.createElement(version_dropdown_composition_1.VersionDropdownWithOneVerion, null));
    const textVersion = getByText(/^0.1$/);
    chai_1.expect(textVersion).to.exist;
});
it('should return multiple versions', () => {
    const { getByText, getAllByText } = react_2.render(react_1.default.createElement(version_dropdown_composition_1.VersionDropdownWithMultipleVerions, null));
    const textVersionOne = getByText(/^0.1$/);
    const textVersionTwo = getByText(/^0.2$/);
    const textVersionThree = getAllByText(/^0.3$/);
    chai_1.expect(textVersionOne).to.exist;
    chai_1.expect(textVersionTwo).to.exist;
    chai_1.expect(textVersionThree).to.length(2);
});
//# sourceMappingURL=version-dropdown.spec.js.map